Subordinate Storage Charm
-------------------------

This charm aims to allow storage to be mounted and consumed in your juju
environment.  Simply attach this charm to any that supports the "storage"
interface, and the charmed application will start writing data into the provided
storage.

Sample Deployment
-----------------

    juju deploy <principal charm>
    juju deploy storage --config <my_storage_config.yaml>
    juju add-relation <principal_charm> storage

Sample Data Relation
--------------------

The Storage charm is designed to make your life easier as a charm author.
Implementing the data relation is very straightforward.

Sample Metadata:

    data:
        interface: storage
        scope: container
        optional: true

Sample Changed Hook:

    #!/bin/bash
    mount=`relation-get mountpoint`
    if [ -z "$mount" ] ; then
        juju-log "wait for related service to start"
        exit 0
    fi
    service my_service stop
    change_my_service_to_use_mount $mount
    service my_service start


TODO
----

 * Create/Format cloud storage if requested
 * Support other providers
 * Support relating to other charms via mount, ceph-client, etc.
 * Support config changes?



